#if UNITY_5_3_OR_NEWER
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Serialization;

namespace Project.B.Map
{
    public class ScriptableGameMapData : ScriptableObject,IGameMapData
    {
        [SerializeField] private string mapName;
        [SerializeField] private string description;
        [SerializeField] private string author;
        [SerializeField] private string mapAddress;
        [FormerlySerializedAs("overview")] [SerializeField] private Texture loadingScreen;
        [SerializeField] private Sprite mapOverview;
        [SerializeField] private Vector2 offset;
        [SerializeField] private int size;
        public string MapName => mapName;
        public string Author => author;
        public string Description => description;
        public object LoadingScreen => loadingScreen;
        public string MapAddress => mapAddress;
        public Vector2 Offset => offset;
        public int Size => size;
        public object MapOverview => mapOverview;
    }
}
#endif