using System;
using System.Collections;
using System.Collections.Generic;
using System.Security;
using BITKit.WorldNode;
#if UNITY_5_3_OR_NEWER
using BITKit;
using UnityEngine;

namespace Net.Project.B.Mark
{
    [Serializable]
    public class LandMark:IWorldNode
    {
        [SerializeField] private string name;
        [SerializeReference,SubclassSelector] private IReference iconName;
        public string Name => name;
        public string IconName => iconName?.Value;
    }

    public enum DefaultLandMarks
    {
        None,
        
        // Medical
        Hospital,
        Clinic,
        Pharmacy,
        EmergencyRoom,

        // Education
        School,
        University,
        Kindergarten,
        Library,

        // Transportation
        SubwayStation,
        BusStation,
        TrainStation,
        TaxiStand,

        // Government & Public
        PoliceStation,
        FireStation,
        CityHall,
        PostOffice,

        // Commercial
        Supermarket,
        Mall,
        ConvenienceStore,
        GasStation,

        // Residential
        ApartmentBuilding,
        SuburbanHouse,
        ParkingLot,
        Park
    }
    [Serializable]
    public struct DefaultLandMark : IReference
    {
        public DefaultLandMarks landMarks;
        public string Get() => landMarks.ToString();
    }
}
#endif
