using System;
using System.Collections;
using System.Collections.Generic;
using BITKit;
using BITKit.UX;
using Microsoft.Extensions.Logging;
using Net.Project.B.Buff;
using Net.Project.B.World;

namespace Net.Project.B.UX
{
    public interface IUXHud : IUXPanel
    {
        public ValidHandle InCinematicMode { get; }
    }
    public interface IUXAction: IUXPanel{}
    public interface IUXInitialize:IUXPanel,ILogger<IUXInitialize> {}
    public interface IUXBuyStation:IUXPanel{}
    public interface IUXControlMode:IUXPanel{}
    public interface IUXCosmetics:IUXPanel{}

    public interface IUXDialogue : IUXPanel
    {
        event Func<string, string> OnSubtitle;
        public string[] SubtitleLanguages { get; set; }
    }
    public interface IUXInventory : IUXPanel
    {
        public ItemQuality AutoInspect { get; set; }
    }

    public interface IUXInventoryPrompt : IUXPanel
    {
        
    }

    public interface IUXItemInspector : IUXPanel
    {
        public void Inspect(IRuntimeItem item);
    }
    public interface IUXLoadingMap:IUXPanel{}
    public interface IUXLobby:IUXPanel{}
    public interface IUXMapSelector:IUXPanel{}
    public interface IUXSnapshotWindow:IUXPanel
    {
        void Open(SnapshotData scopeData);
    }
    public interface IUXSnapshot:IUXPanel{}
    public interface IUXInventorySwap:IUXPanel{}
    public interface IUXMap:IUXPanel{}
    public interface IUXIndicator:IUXPanel{}
    public interface IUXMark:IUXPanel{}
    public interface IUXQuest:IUXPanel{}

    public interface IUXSurvival : IUXPanel
    {
        public IReadOnlyCollection<IBuff> SurvivalBuffs { get; set; }
    }
    public interface IUXChat:IUXPanel{}
    public interface IUXLevelUp:IUXPanel{}
}
