using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.Entities;
using Net.Project.B.WorldNode;
#if UNITY_5_3_OR_NEWER
using UnityEngine;
#endif

namespace Net.Project.B.World
{
    public interface IWorldSeatService
    {
        IReadOnlyDictionary<int, UnitySeatNode> SeatNodes { get; }
        IReadOnlyDictionary<int,IEntity> SeatEntities { get; }
        public bool TryGetOccupyingEntity(int id,out UnitySeatNode seatNode, out IEntity entity);
        public event Action<UnitySeatNode,IEntity,IEntity> OnSeatOccupied;
        
        public bool OccupySeat(int seatId, IEntity entity);
        public bool UnOccupySeat(int seatId,out IEntity entity);
    }
}
